
Foreman - Bug #25925

admin cannot edit a user without re-entering the user's password

01/27/2019 10:48 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7375

  

Description

previously, iirc, the password fields were disabled by default and only editable when the field was explicitly enabled

Related issues:

Related to Foreman - Refactor #21170: move password_strength.js file to webpack Closed 10/02/2017

Associated revisions

Revision e134d3a8 - 03/12/2020 01:49 PM - Leos Stejskal

Fixes #25925 - Disable autocomplete for password input on User Edit page

History

#1 - 01/27/2019 11:26 AM - Tomer Brisker

- Priority changed from High to Normal

Looks like this is caused by autocomplete filling in the password field with the admin password, clearing the field removes the error.

The password fields on the user form should disable autocomplete.

#2 - 01/27/2019 11:26 AM - Tomer Brisker

- Related to Refactor #21170: move password_strength.js file to webpack added

#3 - 01/21/2020 01:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7375 added

#4 - 03/12/2020 01:49 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 03/12/2020 02:01 PM - Leos Stejskal

- Status changed from Ready For Testing to Closed

Applied in changeset e134d3a8423399bad639d0dcebbf5db8f14201e0.

#6 - 07/15/2020 01:29 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions

Powered by TCPDF (www.tcpdf.org)

05/12/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/e134d3a8423399bad639d0dcebbf5db8f14201e0
http://www.tcpdf.org

